
-- initialize graphics
screen = {}
screen.w, screen.h = love.graphics.getDimensions()

-- initialize map
map = {}
map.x, map.y = 23, 15
for i = 1, map.x do
    map[i] = {}
end

-- initialize player
player = {}
player.name = "milon"
player.active = true

-- initialize states
state = {}
state.fail = require("states.fail")
state.load = require("states.load")
state.menu = require("states.menu")
state.play = require("states.play")
state.quit = require("states.quit")

-- initialize overlays
overlay = require("overlays.main")
overlay.license = require("overlays.license")
overlay.menuOptions = require("overlays.menuOptions")

-- Love settings
love.math.setRandomSeed(love.timer.getTime())
love.keyboard.setKeyRepeat(true)

-- screenshot callback
function getScreenshot(ImageData)
    screen.screenshot = love.graphics.newImage(ImageData)
    ImageData:release()
    ImageData = nil
end


-- define love functions:

function love.load()
    defaultFont = love.graphics.getFont()
    overlay.push(overlay.license)
    state.current = state.menu
end

function love.draw()
    state.current.draw()
    overlay.draw()
end

function love.keypressed(key)
    overlay.keypressed(key)
end

function love.update(dt)
    overlay.update(dt)
end
